Package org.apache.sysds.runtime.transform.encode

# Enum Class EncoderMVImpute.MVMethod

java.lang.Object
java.lang.Enum<EncoderMVImpute.MVMethod>
org.apache.sysds.runtime.transform.encode.EncoderMVImpute.MVMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<EncoderMVImpute.MVMethod>`, `Constable`

Enclosing class:
  EncoderMVImpute

public static enum EncoderMVImpute.MVMethod extends Enum<EncoderMVImpute.MVMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONSTANT`
`GLOBAL_MEAN`
`GLOBAL_MODE`
`INVALID`

## Method Summary

Modifier and Type
Method
Description
`static EncoderMVImpute.MVMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EncoderMVImpute.MVMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final EncoderMVImpute.MVMethod INVALID

### GLOBAL_MEAN

public static final EncoderMVImpute.MVMethod GLOBAL_MEAN

### GLOBAL_MODE

public static final EncoderMVImpute.MVMethod GLOBAL_MODE

### CONSTANT

public static final EncoderMVImpute.MVMethod CONSTANT

## Method Details

### values

public static EncoderMVImpute.MVMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EncoderMVImpute.MVMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null